gnutls_x509_crq_sign(3)

NAME
gnutls_x509_crq_sign - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_sign(gnutls_x509_crq_t crq, gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

gnutls_x509_privkey_t key
    holds a private key

DESCRIPTION
This function is the same a gnutls_x509_crq_sign2() with no flags, and SHA1 as the hash algorithm.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

DEPRECATED
Use gnutls_x509_crq_privkey_sign() instead.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.